Subject: Re: bug#2544: 23.0.60; Could etags please try find a local tag first?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Jul 2021 19:56:53 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 20 Jul 2021 19:22:41 +0300
> 
> > But then this feature will be reserved only for the etags backend, no?
> > 
> > Maybe there should be a backend-specific sorting method or something?
> 
> Not 100% sure how that could work, but I'm reasonably certain that 
> "prioritize hits in the current file" is mostly relevant to etags.
> 
> Because when one uses more precise backends, "find definition" gets 
> fewer hits, and you don't really need to choose which ones to start with 
> -- the current file or otherwise.

When a backend returns just one hit, this is a non-issue.  The OP
specifically described a situation where there are many functions with
the same name in the project.  That's the use case we are discussing.
I don't see how the backend can affect this situation.  Especially
since the etags backend is also quite accurate.

But I'm going to stop arguing.  If there isn't enough enthusiasm for
implementing this, it will remain a pipe dream, I guess.